Package org.picocontainer.injectors

# Class MethodInjector.ByMethodName

java.lang.Object
org.picocontainer.adapters.AbstractAdapter
org.picocontainer.injectors.AbstractInjector
org.picocontainer.injectors.SingleMemberInjector
org.picocontainer.injectors.MethodInjector
org.picocontainer.injectors.MethodInjector.ByMethodName

All Implemented Interfaces:
  `Serializable`, `ComponentAdapter`, `ComponentMonitorStrategy`, `Injector`

Enclosing class:
  `MethodInjector<T>`

public static class MethodInjector.ByMethodName extends MethodInjector

See Also:
  - Serialized Form

## Nested Class Summary

## Nested classes/interfaces inherited from class org.picocontainer.injectors.MethodInjector

`MethodInjector.ByMethodName, MethodInjector.ByReflectionMethod`

## Nested classes/interfaces inherited from class org.picocontainer.injectors.SingleMemberInjector

`SingleMemberInjector.ParameterCannotBeNullException`

## Nested classes/interfaces inherited from class org.picocontainer.injectors.AbstractInjector

`AbstractInjector.AmbiguousComponentResolutionException, AbstractInjector.CyclicDependencyException, AbstractInjector.NotConcreteRegistrationException, AbstractInjector.UnsatisfiableDependenciesException`

## Nested classes/interfaces inherited from interface org.picocontainer.ComponentAdapter

`ComponentAdapter.NOTHING`

## Field Summary

### Fields inherited from class org.picocontainer.injectors.AbstractInjector

`parameters, verifyingGuard`

## Constructor Summary

Constructors
Constructor
Description
`ByMethodName(Object componentKey, Class componentImplementation, Parameter[] parameters, ComponentMonitor monitor, Set<String> injectionMethodNames, boolean useNames)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getDescriptor()`
Get a string key descriptor of the component adapter for use in toString()
`protected Method`
`getInjectorMethod()`

### Methods inherited from class org.picocontainer.injectors.MethodInjector

`decorateComponentInstance, getComponentInstance, getMemberArguments, isNullParamAllowed, verify`

### Methods inherited from class org.picocontainer.injectors.SingleMemberInjector

`boxParameters, getBindings, getMemberArguments, getParameter, getParanamer, nullCheck`

### Methods inherited from class org.picocontainer.injectors.AbstractInjector

`accept, box, caughtIllegalAccessException, caughtIllegalAccessException, caughtInstantiationException, caughtInvocationTargetException, createDefaultParameters, getComponentInstance, newInstance, useNames`

### Methods inherited from class org.picocontainer.adapters.AbstractAdapter

`changeMonitor, checkTypeCompatibility, currentMonitor, findAdapterOfType, getComponentImplementation, getComponentKey, getDelegate, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.picocontainer.ComponentAdapter

`findAdapterOfType, getComponentImplementation, getComponentKey, getDelegate`

## Constructor Details

### ByMethodName

public ByMethodName(Object componentKey, Class componentImplementation, Parameter[] parameters, ComponentMonitor monitor, Set<String> injectionMethodNames, boolean useNames) throws AbstractInjector.NotConcreteRegistrationException

Throws:
  `AbstractInjector.NotConcreteRegistrationException`

## Method Details

### getInjectorMethod

protected Method getInjectorMethod()

Specified by:
  `getInjectorMethod` in class `MethodInjector`

### getDescriptor

public String getDescriptor()
Description copied from interface: `ComponentAdapter`
Get a string key descriptor of the component adapter for use in toString()

Specified by:
  `getDescriptor` in interface `ComponentAdapter`
Overrides:
  `getDescriptor` in class `AbstractInjector`
Returns:
  the descriptor